aboutsummaryrefslogtreecommitdiffstats
path: root/java
diff options
context:
space:
mode:
authorglewis <glewis@FreeBSD.org>2016-01-21 13:25:44 +0800
committerglewis <glewis@FreeBSD.org>2016-01-21 13:25:44 +0800
commit26475d7fc5ae05434f47ce64e8cddefdf936f248 (patch)
tree4dac4121e7b5a7fd3671e430715a11ce2d05c194 /java
parent8fd86b38074da7409ce33a2e49d50d6d7f9d07cc (diff)
downloadfreebsd-ports-gnome-26475d7fc5ae05434f47ce64e8cddefdf936f248.tar.gz
freebsd-ports-gnome-26475d7fc5ae05434f47ce64e8cddefdf936f248.tar.zst
freebsd-ports-gnome-26475d7fc5ae05434f47ce64e8cddefdf936f248.zip
. Unreak CCACHE
PR: 205751 Submitted by: chris@chrullrich.net
Diffstat (limited to 'java')
-rw-r--r--java/openjdk8/files/patch-common-autoconf-build-performance.m411
-rw-r--r--java/openjdk8/files/patch-common-autoconf-generated-configure.sh11
2 files changed, 22 insertions, 0 deletions
diff --git a/java/openjdk8/files/patch-common-autoconf-build-performance.m4 b/java/openjdk8/files/patch-common-autoconf-build-performance.m4
new file mode 100644
index 000000000000..98606705e202
--- /dev/null
+++ b/java/openjdk8/files/patch-common-autoconf-build-performance.m4
@@ -0,0 +1,11 @@
+--- common/autoconf/build-performance.m4 Sat Oct 24 06:20:56 2015 -0700
++++ common/autoconf/build-performance.m4 Wed Jan 20 21:11:23 2016 -0800
+@@ -212,7 +212,7 @@
+ # Only use ccache if it is 3.1.4 or later, which supports
+ # precompiled headers.
+ AC_MSG_CHECKING([if ccache supports precompiled headers])
+- HAS_GOOD_CCACHE=`($CCACHE --version | head -n 1 | awk '{ split($3, a, "."); if (a@<:@1@:>@ >= 3 && (a@<:@2@:>@ > 1 || (a@<:@2@:>@ == 1 && a@<:@3@:>@ >= 4))) print "yes"; else print "no"; }') 2> /dev/null`
++ HAS_GOOD_CCACHE=`($CCACHE --version | head -n 1 | awk '{ split(@S|@3, a, "."); if (a@<:@1@:>@ >= 3 && (a@<:@2@:>@ > 1 || (a@<:@2@:>@ == 1 && a@<:@3@:>@ >= 4))) print "yes"; else print "no"; }') 2> /dev/null`
+ if test "x$HAS_GOOD_CCACHE" = xyes; then
+ AC_MSG_RESULT([no, disabling ccache])
+ CCACHE=
diff --git a/java/openjdk8/files/patch-common-autoconf-generated-configure.sh b/java/openjdk8/files/patch-common-autoconf-generated-configure.sh
new file mode 100644
index 000000000000..64f4c143e05d
--- /dev/null
+++ b/java/openjdk8/files/patch-common-autoconf-generated-configure.sh
@@ -0,0 +1,11 @@
+--- common/autoconf/generated-configure.sh Sat Oct 24 06:20:56 2015 -0700
++++ common/autoconf/generated-configure.sh Wed Jan 20 21:11:45 2016 -0800
+@@ -36324,7 +36324,7 @@
+ # precompiled headers.
+ { $as_echo "$as_me:${as_lineno-$LINENO}: checking if ccache supports precompiled headers" >&5
+ $as_echo_n "checking if ccache supports precompiled headers... " >&6; }
+- HAS_GOOD_CCACHE=`($CCACHE --version | head -n 1 | awk '{ split(, a, "."); if (a[1] >= 3 && (a[2] > 1 || (a[2] == 1 && a[3] >= 4))) print "yes"; else print "no"; }') 2> /dev/null`
++ HAS_GOOD_CCACHE=`($CCACHE --version | head -n 1 | awk '{ split($3, a, "."); if (a[1] >= 3 && (a[2] > 1 || (a[2] == 1 && a[3] >= 4))) print "yes"; else print "no"; }') 2> /dev/null`
+ if test "x$HAS_GOOD_CCACHE" = xyes; then
+ { $as_echo "$as_me:${as_lineno-$LINENO}: result: no, disabling ccache" >&5
+ $as_echo "no, disabling ccache" >&6; }